"""empty message

Revision ID: 7cc2eee2d907
Revises: 
Create Date: 2018-03-15 06:23:16.913448

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '7cc2eee2d907'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('branch',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=15), nullable=False),
    sa.Column('address', sa.String(length=30), nullable=True),
    sa.Column('address_territory_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['address_territory_id'], ['territory.id'], name='fk_address_territory_id', use_alter=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('ketua_arisan',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('visit_count', sa.Integer(), nullable=True),
    sa.Column('is_candidate', sa.Boolean(), nullable=True),
    sa.Column('latitude', sa.String(length=20), nullable=True),
    sa.Column('longitude', sa.String(length=20), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('role',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=20), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('territory',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('province', sa.String(length=20), nullable=False),
    sa.Column('city', sa.String(length=20), nullable=False),
    sa.Column('subdistrict', sa.String(length=20), nullable=False),
    sa.Column('village', sa.String(length=20), nullable=False),
    sa.Column('branch_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['branch_id'], ['branch.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('profile',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('first_name', sa.String(length=15), nullable=False),
    sa.Column('last_name', sa.String(length=15), nullable=True),
    sa.Column('phone_number', sa.String(length=15), nullable=True),
    sa.Column('address', sa.String(length=30), nullable=True),
    sa.Column('territory_id', sa.Integer(), nullable=True),
    sa.Column('role_id', sa.Integer(), nullable=False),
    sa.Column('ketua_arisan_id', sa.Integer(), nullable=True),
    sa.Column('manager_branch_id', sa.Integer(), nullable=True),
    sa.Column('penyuluh_branch_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['ketua_arisan_id'], ['ketua_arisan.id'], ),
    sa.ForeignKeyConstraint(['manager_branch_id'], ['branch.id'], name='fk_manager_branch_id'),
    sa.ForeignKeyConstraint(['penyuluh_branch_id'], ['branch.id'], ),
    sa.ForeignKeyConstraint(['role_id'], ['role.id'], ),
    sa.ForeignKeyConstraint(['territory_id'], ['territory.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('profile')
    op.drop_table('territory')
    op.drop_table('role')
    op.drop_table('ketua_arisan')
    op.drop_table('branch')
    # ### end Alembic commands ###
